# Generated from true-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name true

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: Testing framework for Sass libraries
Group: Development/Languages
License: BSD
URL: http://eric.andmeyer.com/true
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# gem doesn't ship tests
# git clone https://github.com/ericam/true.git
# cd true
# git checkout 0.2.3
# tar czvf rubygem-true-tests.tgz test
#Source1: rubygem-true-tests.tgz

BuildRequires: ruby(release)

# tests require working compass, not able to run
# until that is updated in rawhide

# https://github.com/ericam/true/blob/0.2.3/Rakefile#L34 
# BuildRequires: rubygem(compass)
#BuildRequires: rubygem(sass)

BuildRequires: rubygems-devel >= 1.2
BuildArch: noarch

%description
Unit tests for maintaining test-driven Sass libraries.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

#tar xzvf %{SOURCE1}

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

#mv test .%{gem_instdir}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Run the test suite
%check
pushd .%{gem_instdir}
# TODO
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/sass
%{gem_instdir}/VERSION
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/LICENSE.txt
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/lib/true.rb

%changelog
* Tue Sep 16 2014 Mo Morsi <mmorsi@redhat.com> - 0.2.3-1
- Initial package
